eval.js               package:sendplot               R Documentation

_A _J_A_V_A_S_C_R_I_P_T-_L_I_K_E _E_V_A_L _F_U_N_C_T_I_O_N

_D_e_s_c_r_i_p_t_i_o_n:

     This function evaluates expressions.

_U_s_a_g_e:

     eval.js(expr,
             envir=parent.frame(),
             enclos=if(is.list(envir)||is.pairlist(envir)) parent.frame())

_A_r_g_u_m_e_n_t_s:

    expr: character string of an expression to evaluate

   envir: passed to eval function. see eval

  enclos: passed to eval function. see eval

_D_e_t_a_i_l_s:

     Wrapper to the eval functions from the R base package. Evaluates
     character expression.

_V_a_l_u_e:

     will return the evaluated expression

_N_o_t_e:

     uses function eval from base package

_A_u_t_h_o_r(_s):

     James Java

_R_e_f_e_r_e_n_c_e_s:

     R base package function eval

_S_e_e _A_l_s_o:

     'eval'

_E_x_a_m_p_l_e_s:

     df = list()
     df$a = rep(1,5)
     df$b = rep("one",5)
     df = as.data.frame(df)

     #for comparison view
     df

     eval.js("df$new = NA")
     df

      

